from distutils.core import setup
setup(
    name='py4structure',
    version='0.1.2',
    description='Structural engeenering design python scripts for SeePy',
    long_description = open("README.txt").read(),
    author='Lukasz Laba',
    author_email='lukaszlab@o2.pl',
    url='https://bitbucket.org/lukaszlaba/py4structure/wiki/Home',
    packages=[  'py4structure', 
                'py4structure.memos', 
                'py4structure.pycore', 
                'py4structure.scripts',
                'py4structure.scripts.conrete_przekzginany',
                'py4structure.scripts.math',
                'py4structure.scripts.steel_nosnosc_spoiny',
                'py4structure.scripts.steel_nosnosc_srub',
                'py4structure.scripts.templates'],
    package_data = {'': ['*.png', '*.md', '*.svg']},
    license = 'GNU General Public License (GPL)',
    keywords = 'civil engineering ,structural engineering, concrete structures, steel structures',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: X11 Applications :: Qt',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: POSIX :: Linux',
        'Operating System :: Microsoft :: Windows',
        'Programming Language :: Python',
        'Topic :: Scientific/Engineering',
        ],
    )